// file: cdm_size_0.cc
//

// isip include files
//
#include "cd_model.h"
#include "cd_model_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Cd_model::size_cc() {

  // set the size variable
  //
  int_4 size = (int_4)0;
  
  // add the size of each constituent data
  //
  size += sizeof(int_4);                    // num_states_d
  size += sizeof(int_4*);                   // states index array
  size += CDM_PH_LENGTH*CDM_DEFAULT_PH_SIZE ;  // phone lists
  size += sizeof(logical_1);                // physical model flag   
  
  // exit gracefully
  //
  return size;
}
